'*******************************************************************************************************************
'Tiles static data
'-------------------------------------------------------------------------------------------------------------------
'Tile is formed by 3 Blocks in rows and each block could be of different type.
'These tiles will be used when defining the map. This data never changes.
'
'{Block 1 (blocksstaticdata() index), Block 2 (blocksstaticdata() index), Block 3 (blocksstaticdata() index),
'type 1, type 2, type 3 (0-empty, 1-solid, 2-front, 3-back, 4-Die, 5-solid trespassable)
'*******************************************************************************************************************

Dim tilesstaticdata(33, 5) as uByte => { _
{0, 0, 0, 0, 0, 0}, _ '0 - Empty
{1, 2, 2, 1, 1, 1}, _ '1 - Grass-ground exterior
{3, 3, 3, 3, 4, 4}, _ '2 - Water die
{4, 5, 6, 3, 3, 3}, _ '3 - Tree base
{4, 7, 8, 3, 3, 3}, _ '4 - Tree face
{4, 4, 4, 3, 3, 3}, _ '5 - Tree tronk
{0, 0, 9, 3, 3, 5}, _ '6 - Tree branch arm leafs L bottom
{0, 0, 10, 3, 3, 5}, _ '7 - Tree branch arm leafs R bottom
{9, 0, 0, 5, 3, 3}, _ '8 - Tree branch arm leafs L Top
{10, 0, 0, 5, 3, 3}, _ '9 - Tree branch arm leafs R Top
{11, 12, 13, 3, 3, 3}, _ '10 - Moon
{14, 15, 16, 1, 1, 1}, _ '11 - Rock full
{17, 0, 0, 5, 0, 0}, _ '12 - Rock stairs top
{0, 17, 0, 0, 5, 0}, _ '13 - Rock stairs middle
{0, 0, 17, 0, 0, 5}, _ '14 - Rock stairs bottom
{18, 19, 19, 2, 2, 2}, _ '15 - Column top
{19, 19, 19, 2, 2, 2}, _ '16 - Column
{19, 19, 20, 2, 2, 2}, _ '17 - Column base
{21, 21, 21, 1, 1, 1}, _ '18 - Tejas
{0, 22, 23, 3, 3, 3}, _ '19 - Arch
{24, 24, 24, 3, 3, 3}, _ '20 - Arch mark
{24, 24, 14, 3, 3, 3}, _ '21 - Arch base
{0, 0, 0, 1, 1, 1}, _ '22 - Empty-Solid
{1, 26, 27, 1, 1, 1}, _ '23 - Cave floating green
{25, 30, 2, 1, 1, 1}, _ '24 - Cave floor
{28, 28, 28, 1, 1, 1}, _ '25 - Cave wall L
{29, 29, 29, 1, 1, 1}, _ '26 - Cave wall R
{30, 31, 32, 1, 1, 1}, _ '27 - Cave ceiling 01
{30, 33, 34, 1, 1, 1}, _ '28 - Cave ceiling 02
{30, 35, 36, 1, 1, 1}, _ '29 - Cave ceiling 03
{30, 30, 30, 1, 1, 1}, _ '30 - Solid yellow
{30, 37, 38, 1, 1, 1}, _ '31 - Cave corner L
{30, 39, 40, 1, 1, 1}, _ '32 - Cave corner R
{41, 0, 0, 0, 0, 0} _ '33 - Cave stalactite
}
