'*******************************************************************************************************************
'Blocks static data
'-------------------------------------------------------------------------------------------------------------------
'Blocks of 3 chr in a row, which will be used to create Tiles when combined in 3 rows. This data never changes.
'
'{CHR 1, CHR 2, CHR 3, color (INK + 8 * PAPER + 64 * BRIGHT)}
'*******************************************************************************************************************

Dim blocksstaticdata(41, 3) as uByte => { _
{32, 32, 32, 0}, _ '0 - Empty
{34, 34, 34, 68}, _ '1 - Grass
{35, 35, 35, 70}, _ '2 - Ground
{33, 33, 33, 65}, _ '3 - Solid blue
{48, 49, 50, 66}, _ '4 - Tree tronk
{36, 37, 38, 66}, _ '5 - Tree base middle
{39, 40, 41, 66}, _ '6 - Tree base bottom
{42, 43, 44, 66}, _ '7 - Tree face top
{45, 46, 47, 66}, _ '8 - Tree face bottom
{51, 51, 51, 68}, _ '9 - Tree branch arm leafs L
{52, 52, 52, 68}, _ '10 - Tree branch arm leafs R
{53, 54, 55, 71}, _ '11 - Moon top
{56, 57, 58, 71}, _ '12 - Moon middle
{59, 60, 61, 71}, _ '13 - Moon bottom
{62, 33, 63, 69}, _ '14 - Rock top
{64, 65, 66, 69}, _ '15 - Rock left
{67, 68, 69, 69}, _ '16 - Rock right
{62, 33, 63, 68}, _ '17 - Rock stairs
{70, 33, 71, 69}, _ '18 - Column top
{72, 33, 73, 71}, _ '19 - Column
{74, 33, 75, 69}, _ '20 - Column base
{76, 76, 76, 66}, _ '21 - Tejas
{77, 78, 79, 71}, _ '22 - Arch top
{80, 81, 82, 71}, _ '23 - Arch bottom
{83, 32, 83, 71}, _ '24 - Arch mark
{87, 88, 87, 70}, _ '25 - Cave floor
{35, 33, 35, 70}, _ '26 - Cave floating middle
{84, 85, 86, 70}, _ '27 - Cave floating bottom
{35, 33, 100, 70}, _ '28 - Cave wall L
{100, 33, 35, 70}, _ '29 - Cave wall R
{33, 33, 33, 70}, _ '30 - Solid yellow
{89, 90, 93, 70}, _ '31 - Cave ceiling 01 - 01
{91, 92, 32, 70}, _ '32 - Cave ceiling 01 - 02
{94, 95, 98, 70}, _ '33 - Cave ceiling 02 - 01
{96, 97, 99, 70}, _ '34 - Cave ceiling 02 - 02
{93, 94, 95, 70}, _ '35 - Cave ceiling 03 - 01
{32, 96, 97, 70}, _ '36 - Cave ceiling 03 - 02
{33, 101, 102, 70}, _ '37 - Cave corner L 01
{103, 104, 32, 70}, _ '38 - Cave corner L 02
{105, 106, 33, 70}, _ '39 - Cave corner R 01
{32, 107, 108, 70}, _ '40 - Cave corner R 02
{32, 32, 105, 70} _ '41 - Cave stalactite
}
